Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.structurals
Class ExceptionHandler

    java.lang.Object
      org.apache.bcel.verifier.structurals.ExceptionHandler

    public class ExceptionHandler

extends Object

This class represents an exception handler; that is, an ObjectType representing a subclass of java.lang.Throwable and the instruction the handler starts off (represented by an InstructionContext).

Version:
  $Id: ExceptionHandler.java 371539 2006-01-23 14:08:00Z tcurdt $

Method Summary
`ObjectType` | `getExceptionType()` Returns the type of the exception that's handled.
`InstructionHandle` | `getHandlerStart()` Returns the InstructionHandle where the handler starts off.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getExceptionType

    public ObjectType getExceptionType()

  Returns the type of the exception that's handled. 'null' means 'ANY'.

### getHandlerStart

    public InstructionHandle getHandlerStart()

  Returns the InstructionHandle where the handler starts off.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.